<?php

/**
 * E2pdf Debug Controller
 * 
 * @copyright  Copyright 2017 https://e2pdf.com
 * @license    GPL v2
 * @version    1
 * @link       https://e2pdf.com
 * @since      0.00.01
 */
if (!defined('ABSPATH')) {
    die('Access denied.');
}

class Controller_E2pdf_Debug extends Helper_E2pdf_View {

    /**
     * @url admin.php?page=e2pdf-debug
     */
    public function index_action() {

        $this->view('debug', $this->get_debug());
    }

    /**
     * @url admin.php?page=e2pdf-debug&action=phpinfo
     */
    public function phpinfo_action() {

        $this->view('phpinfo', $this->get_php_info());
    }

    /**
     * @url admin.php?page=e2pdf-debug&action=requests
     */
    public function requests_action() {

        $this->view('requests', $this->get_requests());
    }

    /**
     * Get debug model
     * 
     * @return object - Debug model
     */
    public function get_debug() {

        $model_e2pdf_debug = new Model_E2pdf_Debug();
        return $model_e2pdf_debug;
    }

    /**
     * Get phpinfo
     * 
     * @return string - PHP Info
     */
    public function get_php_info() {

        ob_start();
        phpinfo();
        $contents = ob_get_contents();
        ob_end_clean();
        $php_info = (str_replace("module_Zend Optimizer", "module_Zend_Optimizer", preg_replace('%^.*<body>(.*)</body>.*$%ms', '$1', $contents)));
        return $php_info;
    }

    /**
     * Get phpinfo
     * 
     * @return string
     */
    public function get_requests() {

        $model_e2pdf_api = new Model_E2pdf_Api();

        $requests = "";

        $requests .= '<strong>common/debug</strong>';
        $model_e2pdf_api->set(array(
            'action' => 'common/debug',
        ));
        $requests .= '<pre>';
        $requests .= print_r($model_e2pdf_api->request(), true);
        $requests .= '</pre>';

        return $requests;
    }

}
