<?php

/**
 * E2pdf Zip Helper
 * 
 * @copyright  Copyright 2017 https://e2pdf.com
 * @license    GPL v2
 * @version    1
 * @link       https://e2pdf.com
 * @since      0.00.01
 */
if (!defined('ABSPATH')) {
    die('Access denied.');
}

class Helper_E2pdf_Xml {

    private $xml = null;

    /**
     * Check if extension simplexml available
     * 
     * @return bool
     */
    public function check() {
        if (extension_loaded('simplexml')) {
            return true;
        } else {
            return false;
        }
    }

    /**
     * Create new XML
     * 
     * @param string $key - Wrapper of XML
     * 
     * @return object - XML Object
     */
    public function create($key = false) {
        $this->xml = new Helper_E2pdf_SimpleXMLElement('<?xml version="1.0" encoding="UTF-8"?><' . $key . '></' . $key . '>');
        return $this->xml;
    }

    /**
     * Get XML file in Base64
     * 
     * @return string
     */
    public function get_xml() {
        return base64_encode($this->xml->asXML());
    }

}
