<?php
if (!defined('ABSPATH')) {
    die('Access denied.');
}
?>
<div class="wrap <?php echo $this->page; ?>">
    <h1><?php _e('Debug', 'e2pdf') ?></h1>
    <hr class="wp-header-end">
    <h3 class="nav-tab-wrapper wp-clearfix">
        <a href="<?php echo $this->helper->get_url(array('page' => 'e2pdf-debug')); ?>" class="nav-tab <?php if (!$this->get->get()) { ?>nav-tab-active<?php } ?>"><?php echo _e('Debug', 'e2pdf'); ?></a>
        <a href="<?php echo $this->helper->get_url(array('page' => 'e2pdf-debug', 'action' => 'phpinfo')); ?>" class="nav-tab <?php if ($this->get->get('action') == 'phpinfo') { ?>nav-tab-active<?php } ?>"><?php _e('PHP Info', 'e2pdf'); ?></a>
        <a href="<?php echo $this->helper->get_url(array('page' => 'e2pdf-debug', 'action' => 'requests')); ?>" class="nav-tab <?php if ($this->get->get('action') == 'requests') { ?>nav-tab-active<?php } ?>"><?php _e('Requests', 'e2pdf'); ?></a>
    </h3>

    <div class="wrap">
        <?php if (!$this->get->get()) { ?>
            <ul class="e2pdf-view-area">
                <li><h2><?php _e('Common', 'e2pdf') ?></h2></li>
                <li><span class="e2pdf-bold"><?php _e('Domain', 'e2pdf') ?>:</span> <?php echo $this->view->debug->get('domain'); ?></li>
                <li><span class="e2pdf-bold"><?php _e('PHP Version', 'e2pdf') ?>:</span> <?php echo phpversion(); ?></li>
                <li><span class="e2pdf-bold"><?php _e('Folders permission', 'e2pdf') ?>:</span></li>
                <li><?php echo $this->helper->get('tmp_dir'); ?>: <?php is_writable($this->helper->get('tmp_dir')) ? _e('Writable', 'e2pdf') : _e('Not writable', 'e2pdf'); ?></li>
                <li><?php echo $this->helper->get('pdf_dir'); ?>: <?php is_writable($this->helper->get('pdf_dir')) ? _e('Writable', 'e2pdf') : _e('Not writable', 'e2pdf'); ?></li>
                <li><h2><?php _e('PHP Extensions', 'e2pdf') ?></h2></li>
                <li><span class="e2pdf-bold"><?php _e('curl', 'e2pdf') ?>:</span> <?php function_exists('curl_version') ? _e('Enabled', 'e2pdf') : _e('No', 'e2pdf'); ?></li>
                <li><span class="e2pdf-bold"><?php _e('simplexml', 'e2pdf') ?>:</span> <?php extension_loaded('simplexml') ? _e('Enabled', 'e2pdf') : _e('No', 'e2pdf'); ?></li>
                <li><span class="e2pdf-bold"><?php _e('libxml', 'e2pdf') ?>:</span> <?php extension_loaded('libxml') ? _e('Enabled', 'e2pdf') : _e('No', 'e2pdf'); ?></li>
                <li><span class="e2pdf-bold"><?php _e('Dom', 'e2pdf') ?>:</span> <?php extension_loaded('Dom') ? _e('Enabled', 'e2pdf') : _e('No', 'e2pdf'); ?></li>
            </ul>
        <?php } elseif ($this->get->get('action') == 'phpinfo') { ?>
            <div class="e2pdf-view-area">
                <div class="phpinfo_wrapper">
                    <?php echo $this->view->phpinfo; ?>
                </div>
            </div>
        <?php } elseif ($this->get->get('action') == 'requests') { ?>
            <div class="e2pdf-view-area">
                <?php echo $this->view->requests; ?>
            </div>
        <?php } ?>
    </div>
</div>
<?php $this->render('blocks', 'debug-panel'); ?>


